import { ComponentFactoryResolver, OnInit } from '@angular/core';
import { IQuestionItem } from './question-item.component';
import { QuestionBuilderDirective } from './question-builder.directive';
import { QuestionBuilderService } from './question-builder.service';
import { IElements } from '../../models/elements.model';
export declare class QuestionBuilderComponent implements OnInit {
    private componentFactoryResolver;
    private questionBuilder$;
    hasQuestion: boolean;
    question: IQuestionItem;
    element: IElements;
    surveyId: string;
    isView: boolean;
    private _questionType;
    questionType: any;
    questionBuilderHost: QuestionBuilderDirective;
    constructor(componentFactoryResolver: ComponentFactoryResolver, questionBuilder$: QuestionBuilderService);
    ngOnInit(): void;
    loadComponent(): void;
}
