import { OnDestroy, OnInit } from '@angular/core';
import { IOptionAnswersMap } from '../../../models/option-answers.model';
import { IElements } from '../../../models/elements.model';
import { Subscription } from 'rxjs';
import { CdkDragDrop } from '@angular/cdk/drag-drop';
import { NgSurveyStore } from '../../../store/ng-survey.store';
import { ElementsReducer } from '../../../store/elements/elements.reducer';
import { OptionAnswersReducer } from '../../../store/option-answers/option-answers.reducer';
export declare class RadioCheckboxSelectComponent implements OnInit, OnDestroy {
    private _ngSurveyStore;
    private _elementsReducer;
    private _optionAnswersReducer;
    data: any;
    element: IElements;
    optionAnswersSub: Subscription;
    optionAnswers: IOptionAnswersMap;
    optionAnswersSize: number;
    elementSub: Subscription;
    pageId: string;
    surveyId: string;
    isPageNavChecked: boolean;
    isSaved: boolean;
    isNewOption: boolean;
    constructor(_ngSurveyStore: NgSurveyStore, _elementsReducer: ElementsReducer, _optionAnswersReducer: OptionAnswersReducer);
    ngOnInit(): void;
    ngOnDestroy(): void;
    togglePageNavChecked(e: any): void;
    addOptionInput(): void;
    drop(event: CdkDragDrop<string[]>): void;
    onSaveQuestionClick(): void;
    onEditQuestionClick(): void;
    trackElement(index: number, item: any): any;
}
