import { OnDestroy, OnInit } from '@angular/core';
import { IOptionAnswersMap } from '../../../models/option-answers.model';
import { Subscription } from 'rxjs';
import { ElementsReducer } from '../../../store/elements/elements.reducer';
import { NgSurveyStore } from '../../../store/ng-survey.store';
export declare class SelectComponent implements OnInit, OnDestroy {
    private _ngSurveyStore;
    private _elementsReducer;
    data: any;
    optionAnswers: IOptionAnswersMap;
    optionAnswersSub: Subscription;
    item: any;
    constructor(_ngSurveyStore: NgSurveyStore, _elementsReducer: ElementsReducer);
    ngOnInit(): void;
    ngOnDestroy(): void;
    handleSelect(answer: any, pageFlow: any): void;
    trackElement(index: number, item: any): any;
}
