import { OnInit, OnDestroy } from '@angular/core';
import { Subscription } from 'rxjs';
import { INgSurvey } from '../../../models';
import { SurveyReducer } from '../../../store/survey/survey.reducer';
export declare class SurveyTemplateFormComponent implements OnInit, OnDestroy {
    private _surveyReducer;
    survey: INgSurvey;
    surveyNameSub$: Subscription;
    surveyDescriptionSub$: Subscription;
    constructor(_surveyReducer: SurveyReducer);
    ngOnInit(): void;
    ngOnDestroy(): void;
    handleSurveyNameChange(): void;
    handleSurveyDescriptionChange(): void;
}
