import { IQuestion } from './question.model';
import { IParagraph } from './paragraph.model';
export declare type IElementsMap = Map<string, IElements>;
export declare type IElementsMaps = Map<string, IElementsMap>;
export interface IElements {
    pageId: string;
    id?: string;
    orderNo?: number;
    type?: string;
    question?: IQuestion;
    paragraph?: IParagraph;
    isSaved?: boolean;
    showPageFlowToggle?: boolean;
}
export declare class Elements implements IElements {
    pageId: string;
    id?: string;
    orderNo?: number;
    type?: string;
    question?: IQuestion;
    paragraph?: IParagraph;
    isSaved?: boolean;
    showPageFlowToggle?: boolean;
    constructor(pageId: string, id?: string, orderNo?: number, type?: string, question?: IQuestion, paragraph?: IParagraph, isSaved?: boolean, showPageFlowToggle?: boolean);
}
