import { IPageFlow } from './page-flow.model';
export declare type IPageMap = Map<string, IPage>;
export interface IPage {
    id: string;
    surveyId: string;
    orderNo?: number;
    pageFlow?: IPageFlow;
    name?: string;
    description?: string;
}
export declare class Page implements IPage {
    id: string;
    surveyId: string;
    orderNo?: number;
    pageFlow?: IPageFlow;
    name?: string;
    description?: string;
    constructor(id: string, surveyId: string, orderNo?: number, pageFlow?: IPageFlow, name?: string, description?: string);
}
