import { IElements, IElementsMap } from '../../models';
export declare function createNextElement(pageId: string, elements: IElementsMap, type: string): IElementsMap;
export declare function createNewElementMap(pageId: string, type: string): IElementsMap;
export declare function removeElement(elementId: string, elements: IElementsMap): IElementsMap;
export declare function moveElementUp(elementId: string, elements: IElementsMap): IElementsMap;
export declare function moveElementDown(elementId: string, elements: IElementsMap): IElementsMap;
export declare function dragElement(startIndex: number, endIndex: number, elements: IElementsMap): IElementsMap;
export declare function addQuestionText(elementId: string, text: string, elements: IElementsMap): IElementsMap;
export declare function addQuestionType(elementId: string, type: string, elements: IElementsMap): IElementsMap;
export declare function updateQuestionMin(elementId: string, min: number, elements: IElementsMap): IElementsMap;
export declare function updateQuestionMax(elementId: string, max: number, elements: IElementsMap): IElementsMap;
export declare function removeQuestionValues(elementId: string, elements: IElementsMap): IElementsMap;
export declare function updateQuestionPageFlowModifier(elementId: string, pageFlowModifier: boolean, elements: IElementsMap): IElementsMap;
export declare function toggleElementIsSaved(elementId: string, isSaved: boolean, elements: IElementsMap): IElementsMap;
export declare function updateQuestionAnswer(elementId: string, answer: string | number, elements: IElementsMap): IElementsMap;
export declare function updateParagraphHTML(elementId: string, html: string, elements: IElementsMap): IElementsMap;
export declare function importElement(element: IElements, pageId: string, elements: IElementsMap, currentElement: IElements): Map<string, IElements>;
export declare function cloneElement(elementId: string, elements: IElementsMap): IElementsMap;
export declare const updateShowPageFlowToggle: (elements: Map<string, IElements>, elementId: string) => void;
export declare const handleElementShowPageFlowToggle: (elements: Map<string, IElements>, newElement: IElements) => boolean;
export declare const handleElementsShowPageFlowToggle: (elements: Map<string, IElements>) => void;
export declare const addParagraphType: (element: IElements) => IElements;
export declare const insertElement: (elements: Map<string, IElements>, element: IElements, index: number) => Map<string, IElements>;
export declare const updateElementTypeWithNewElementId: (element: object, newElementId: string) => object;
