import { Observable } from 'rxjs';
import { NgSurveyState } from './ng-survey.state';
import { IBuilderOptions, IElementsMaps, INgSurvey, IOptionAnswersMaps, IPageMap } from '../models';
export declare class NgSurveyStore {
    ngSurveyState: Observable<NgSurveyState>;
    private _ngSurveyState;
    survey: Observable<INgSurvey>;
    private _survey;
    pages: Observable<IPageMap>;
    private _pages;
    elements: Observable<IElementsMaps>;
    private _elements;
    optionAnswers: Observable<IOptionAnswersMaps>;
    private _optionAnswers;
    builderOptions: Observable<IBuilderOptions>;
    private _builderOptions;
    dataStore: NgSurveyState;
    constructor();
    updateNgSurveyState(payload: INgSurvey | IPageMap | IElementsMaps | IOptionAnswersMaps | IBuilderOptions): void;
    updateSurvey(survey: INgSurvey): void;
    updatePages(pages: IPageMap): void;
    updateElements(elements: IElementsMaps): void;
    updateOptionAnswers(optionAnswers: IOptionAnswersMaps): void;
    updateBuilderOptions(builderOptions: IBuilderOptions): void;
}
