import { OnDestroy, OnInit } from '@angular/core';
import { Subscription } from 'rxjs';
import { NgSurveyState } from '../../store/ng-survey.state';
import { IPageMap, INgSurvey, IBuilderOptions } from '../../models/index';
import { NgSurveyStore } from '../../store/ng-survey.store';
import { SurveyReducer } from '../../store/survey/survey.reducer';
import { PagesReducer } from '../../store/pages/pages.reducer';
import { BuilderOptionsReducer } from '../../store/builder-options/builder-options.reducer';
export declare class NgBuilderViewerComponent implements OnInit, OnDestroy {
    private _ngSurveyStore;
    private _surveyReducer;
    private _pagesReducer;
    private _builderOptionsReducer;
    private _options;
    options: IBuilderOptions;
    surveySub: Subscription;
    survey: INgSurvey;
    ngSurveyStateSub: Subscription;
    ngSurveyState: NgSurveyState;
    pagesSub: Subscription;
    pages: IPageMap;
    isLoading: boolean;
    constructor(_ngSurveyStore: NgSurveyStore, _surveyReducer: SurveyReducer, _pagesReducer: PagesReducer, _builderOptionsReducer: BuilderOptionsReducer);
    ngOnInit(): void;
    ngOnDestroy(): void;
    handleBuilderOptionsChange(builderOptions: IBuilderOptions): void;
    addPage(): void;
    reset(): void;
    importSurvey(cb: any): void;
    trackElement(index: number, item: any): any;
}
