import { OnDestroy, OnInit } from '@angular/core';
import { Subscription } from 'rxjs';
import { IOptionAnswersMap } from '../../../models/option-answers.model';
import { FormGroup, FormBuilder } from '@angular/forms';
import { NgSurveyStore } from '../../../store/ng-survey.store';
import { ElementsReducer } from '../../../store/elements/elements.reducer';
export declare class CheckboxComponent implements OnInit, OnDestroy {
    private _ngSurveyStore;
    private _elementsReducer;
    private formBuilder;
    data: any;
    optionAnswers: IOptionAnswersMap;
    optionAnswersSub: Subscription;
    form: FormGroup;
    constructor(_ngSurveyStore: NgSurveyStore, _elementsReducer: ElementsReducer, formBuilder: FormBuilder);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private minSelectedCheckboxes;
    handleChange(pageFlow: any): void;
    trackElement(index: number, item: any): any;
}
