import { OnDestroy, OnInit } from '@angular/core';
import { Subscription } from 'rxjs';
import { IElements } from '../../../models/elements.model';
import { IOptionAnswers } from '../../../models/option-answers.model';
import { IPageMap } from '../../../models/page.model';
import { NgSurveyStore } from '../../../store/ng-survey.store';
import { OptionAnswersReducer } from '../../../store/option-answers/option-answers.reducer';
export declare class OptionTemplateComponent implements OnInit, OnDestroy {
    private _ngSurveyStore;
    private _optionAnswersReducer;
    optionAnswersSize: number;
    optionAnswer: IOptionAnswers;
    element: IElements;
    isPageNavChecked: boolean;
    surveyId: string;
    isNewOption: boolean;
    pagesSub: Subscription;
    pages: IPageMap;
    isOptionActive: boolean;
    constructor(_ngSurveyStore: NgSurveyStore, _optionAnswersReducer: OptionAnswersReducer);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onFocus(e: any): void;
    removeOptionAnswer(): void;
    onOptionsValueChange(): void;
    trackElement(index: number, item: any): any;
}
