import { OnInit, OnDestroy } from '@angular/core';
import { Subscription } from 'rxjs';
import { IElements } from '../../../models';
import { ElementsReducer } from '../../../store/elements/elements.reducer';
export declare class RangeComponent implements OnInit, OnDestroy {
    private _elementsReducer;
    data: any;
    isView: boolean;
    currentRange: number;
    element: IElements;
    pageId: string;
    minSub: Subscription;
    maxSub: Subscription;
    rangeInputSub: Subscription;
    constructor(_elementsReducer: ElementsReducer);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onMinChange(): void;
    onMaxChange(): void;
    onRangeChange(): void;
}
