import { OnDestroy, OnInit } from '@angular/core';
import { Subscription } from 'rxjs';
import { INgSurvey } from '../../../models/ng-survey.model';
import { NgSurveyStore } from '../../../store/ng-survey.store';
import { SurveyReducer } from '../../../store/survey/survey.reducer';
export declare class SummaryContainerComponent implements OnInit, OnDestroy {
    private _ngSurveyStore;
    private _surveyReducer;
    surveySub: Subscription;
    survey: INgSurvey;
    constructor(_ngSurveyStore: NgSurveyStore, _surveyReducer: SurveyReducer);
    ngOnInit(): void;
    handleEditorEvent(summary: string): void;
    ngOnDestroy(): void;
}
