import { OnDestroy, OnInit } from '@angular/core';
import { Subscription } from 'rxjs';
import { IPageMap } from '../../models';
import { IPageFlow } from '../../models';
import { NgSurveyStore } from '../../store/ng-survey.store';
import { PagesReducer } from '../../store/pages/pages.reducer';
import { OptionAnswersReducer } from '../../store/option-answers/option-answers.reducer';
export declare class PageSelectComponent implements OnInit, OnDestroy {
    private _ngSurveyStore;
    private _pagesReducer;
    private _optionAnswersReducer;
    isPage: boolean;
    surveyId: string;
    pageId: string;
    pageFlow: IPageFlow;
    elementId: string;
    optionAnswerId: string;
    isOptionAnswerSaved: boolean;
    questionPageFlowModifier: boolean;
    pagesSub: Subscription;
    pages: IPageMap;
    constructor(_ngSurveyStore: NgSurveyStore, _pagesReducer: PagesReducer, _optionAnswersReducer: OptionAnswersReducer);
    ngOnInit(): void;
    ngOnDestroy(): void;
    handlePageNavNext(value: any): void;
    trackElement(index: number, item: any): any;
}
