import { IOptionAnswers, IOptionAnswersMap } from '../../models/option-answers.model';
import { IPageFlow } from '../../models/page-flow.model';
export declare function addOptionAnswer(elementId: string, optionAnswers: IOptionAnswersMap): IOptionAnswersMap;
export declare function createNewOptionAnswersMap(elementId: string): IOptionAnswersMap;
export declare function removeOptionAnswer(optionAnswersId: string, optionAnswers: IOptionAnswersMap): IOptionAnswersMap;
export declare function addOptionAnswerValue(optionAnswersId: string, value: string, optionAnswers: IOptionAnswersMap): IOptionAnswersMap;
export declare function updateOptionAnswerPageFlow(optionAnswersId: string, pageFlow: IPageFlow, optionAnswers: IOptionAnswersMap): IOptionAnswersMap;
export declare function dragOptionAnswer(startIndex: number, endIndex: number, optionAnswers: IOptionAnswersMap): IOptionAnswersMap;
export declare function toggleIsActiveOptionAnswerValue(isSaved: boolean, optionAnswers: IOptionAnswersMap): IOptionAnswersMap;
export declare const dragItemInArray: (map: Map<string, IOptionAnswers>, startIndex: number, endIndex: number) => Map<string, IOptionAnswers>;
