import { CustomAction, INgSurvey } from '../../models';
import { NgSurveyStore } from '../ng-survey.store';
import { PagesReducer } from '../pages/pages.reducer';
import { ElementsReducer } from '../elements/elements.reducer';
import { OptionAnswersReducer } from '../option-answers/option-answers.reducer';
export declare class SurveyReducer {
    private _ngSurveyStore;
    private _pagesReducer;
    private _elementsReducer;
    private _optionAnswersReducer;
    constructor(_ngSurveyStore: NgSurveyStore, _pagesReducer: PagesReducer, _elementsReducer: ElementsReducer, _optionAnswersReducer: OptionAnswersReducer);
    surveyReducer(action: CustomAction): import("rxjs/internal/Observable").Observable<INgSurvey>;
}
