import { IPage } from '../../models';
import { NgSurveyStore } from '../../store/ng-survey.store';
import { BehaviorSubject } from 'rxjs';
import { IPageLinkedList, IPageLinkedListNode } from './page-linked-list';
export declare class NgSurveyViewerNavigationService {
    private _ngSurveyStore;
    pageLinkedList: BehaviorSubject<IPageLinkedList>;
    currentPageNode: BehaviorSubject<IPageLinkedListNode>;
    prevPageLinkedList: BehaviorSubject<IPageLinkedList>;
    private pages;
    page: BehaviorSubject<IPage>;
    private elements;
    constructor(_ngSurveyStore: NgSurveyStore);
    setGoToPage(pageId: string): IPage;
    setNextPage(): IPage;
    setPrevPage(): IPage;
    findByPageId(pageId: string): IPageLinkedListNode;
    private initPageStack;
    checkSurveyEmpty(): boolean;
}
